import type { LAB, OPTIONS, RGB, XYZ } from "./types.js";
/**
 * Converts a rgb color to a lab color
 * @param rgb
 * @param options
 */
export declare function rgbToLab(rgb: RGB, options?: OPTIONS): LAB;
/**
 * Converts a rgb color to a lab color
 * @param rgb
 * @param options
 */
export declare function rgbToXyz(rgb: RGB, options?: OPTIONS): XYZ;
/**
 * Converts a lab color to a rgb color
 * @param lab
 * @param options
 */
export declare function labToRgb(lab: LAB, options?: OPTIONS): RGB;
/**
 * Converts a lab color to a rgb color
 * @param lab
 * @param options
 */
export declare function labToXyz(lab: LAB, options?: OPTIONS): XYZ;
